import React from "react";
import { Link } from "gatsby";
import { StaticImage } from "gatsby-plugin-image";
// import logo from "../images/logo-egeo.png";

interface Props {
  to?: string;
  className?: string;
  src?: string;
}

const HeaderLogo = (props: Props) => {
  const { to = "#", className = "" } = props;

  return (
    <Link to={to} className={className}>
      <StaticImage
        src="../images/logo-egeo.png"
        alt="Logo"
        height={40}
        className="m-2"
      />
    </Link>
  );
};

export default HeaderLogo;
